Loading...
Searching...
No Matches
volk_sse3_intrinsics.h File Reference
`#include <pmmintrin.h>`

Go to the source code of this file.

## Functions

static __m128 | _mm_complexmul_ps (__m128 x, __m128 y)
static __m128 | _mm_complexconjugatemul_ps (__m128 x, __m128 y)
static __m128 | _mm_magnitudesquared_ps_sse3 (__m128 cplxValue1, __m128 cplxValue2)
static __m128 | _mm_magnitude_ps_sse3 (__m128 cplxValue1, __m128 cplxValue2)
static __m128 | _mm_scaled_norm_dist_ps_sse3 (const __m128 symbols0, const __m128 symbols1, const __m128 points0, const __m128 points1, const __m128 scalar)

## Function Documentation

## _mm_complexconjugatemul_ps()

__m128 _mm_complexconjugatemul_ps | ( | __m128 | x,
|  | __m128 | y )

inline static

## _mm_complexmul_ps()

__m128 _mm_complexmul_ps | ( | __m128 | x,
|  | __m128 | y )

inline static

## _mm_magnitude_ps_sse3()

__m128 _mm_magnitude_ps_sse3 | ( | __m128 | cplxValue1,
|  | __m128 | cplxValue2 )

inline static

## _mm_magnitudesquared_ps_sse3()

__m128 _mm_magnitudesquared_ps_sse3 | ( | __m128 | cplxValue1,
|  | __m128 | cplxValue2 )

inline static

## _mm_scaled_norm_dist_ps_sse3()

__m128 _mm_scaled_norm_dist_ps_sse3 | ( | const __m128 | symbols0,
|  | const __m128 | symbols1,
|  | const __m128 | points0,
|  | const __m128 | points1,
|  | const __m128 | scalar )

inline static